<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li>Components</li>
  <li>AppComponent</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
        <li >
            <a href="#templateData" role="tab" id="templateData-tab" data-toggle="tab" data-link="template">Template</a>
        </li>
        <li >
            <a href="#styleData" role="tab" id="styleData-tab" data-toggle="tab" data-link="style">Styles</a>
        </li>
        <li >
            <a href="#tree" role="tab" id="tree-tab" data-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>src/app/app.component.ts</code>
</p>



    <p class="comment">
        <h3>Implements</h3>
    </p>
    <p class="comment">
                <code><a href="https://angular.io/api/core/OnDestroy" target="_blank" >OnDestroy</a></code>
    </p>


<section>
    <h3>Metadata</h3>
    <table class="table table-sm table-hover">
        <tbody>











            <tr>
                <td class="col-md-3">selector</td>
                <td class="col-md-9"><code>app-root</code></td>
            </tr>

            <tr>
                <td class="col-md-3">styleUrls</td>
                <td class="col-md-9"><code>./app.component.scss</code></td>
            </tr>



            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>./app.component.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
                <tr>
                    <td class="col-md-4">
                        <h6><b>Properties</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#el">el</a>
                            </li>
                            <li>
                                    <span class="modifier">Private</span>
                                <a href="#subscriptions">subscriptions</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#ngOnDestroy">ngOnDestroy</a>
                            </li>
                            <li>
                                    <span class="modifier">Private</span>
                                <a href="#updateLanguage">updateLanguage</a>
                            </li>
                        </ul>
                    </td>
                </tr>





        </tbody>
    </table>
</section>

    <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                                <span class="modifier">Public</span>
                        <code>constructor(el: <a href="https://angular.io/api/core/ElementRef" target="_blank">ElementRef</a>, titleService: <a href="https://angular.io/api/platform-browser/Title" target="_blank">Title</a>, translateService: TranslateService)</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="36" class="link-to-prism">src/app/app.component.ts:36</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                            <div>
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>el</td>
                                                  
                                                        <td>
                                                                    <code><a href="https://angular.io/api/core/ElementRef" target="_blank" >ElementRef</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>titleService</td>
                                                  
                                                        <td>
                                                                    <code><a href="https://angular.io/api/platform-browser/Title" target="_blank" >Title</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>translateService</td>
                                                  
                                                        <td>
                                                                    <code>TranslateService</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>





    <section>
    
        <h3 id="methods">
            Methods
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="ngOnDestroy"></a>
                        <span class="name">
                            <b>
                            ngOnDestroy
                            </b>
                            <a href="#ngOnDestroy"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>ngOnDestroy()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="47" class="link-to-prism">src/app/app.component.ts:47</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="updateLanguage"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Private</span>
                            updateLanguage
                            </b>
                            <a href="#updateLanguage"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                            <span class="modifier-icon icon ion-ios-reset"></span>
                        <code>updateLanguage()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="51" class="link-to-prism">src/app/app.component.ts:51</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>

    <section>
    
        <h3 id="inputs">
            Properties
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="el"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            el
                            </b>
                            <a href="#el"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <span class="modifier-icon icon ion-ios-reset"></span><code>el:     <code><a href="https://angular.io/api/core/ElementRef" target="_blank" >ElementRef</a></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="https://angular.io/api/core/ElementRef" target="_blank" >ElementRef</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="38" class="link-to-prism">src/app/app.component.ts:38</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="subscriptions"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Private</span>
                            subscriptions
                            </b>
                            <a href="#subscriptions"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <span class="modifier-icon icon ion-ios-reset"></span><code>subscriptions:     <code>Subscription[]</code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>Subscription[]</code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>[]</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="36" class="link-to-prism">src/app/app.component.ts:36</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
</section>

</div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component, ElementRef, OnDestroy } from &#x27;@angular/core&#x27;;
import { Title } from &#x27;@angular/platform-browser&#x27;;
import { TranslateService } from &#x27;@ngx-translate/core&#x27;;
import { Subscription } from &#x27;rxjs&#x27;;

@Component({
  selector: &#x27;app-root&#x27;,
  templateUrl: &#x27;./app.component.html&#x27;,
  styleUrls: [&#x27;./app.component.scss&#x27;]
})
export class AppComponent implements OnDestroy {

  private subscriptions: Subscription[] &#x3D; [];

  public constructor(public el: ElementRef, private titleService: Title, private translateService: TranslateService) {
    this.subscriptions.push(
      translateService.onLangChange.subscribe(() &#x3D;&gt; {
        this.titleService.setTitle(translateService.instant(&quot;global.title&quot;));
        this.updateLanguage();
      })
    );
  }

  ngOnDestroy(): void {
    this.subscriptions.forEach(s &#x3D;&gt; s.unsubscribe());
  }

  private updateLanguage() {
    const lang &#x3D; document.createAttribute(&#x27;lang&#x27;);
    lang.value &#x3D; this.translateService.currentLang;
    this.el.nativeElement.parentElement.parentElement.attributes.setNamedItem(lang);
  }
}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-templateData">
        <pre class="line-numbers"><code class="language-html">&lt;!--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  ~ /*                                                                                            ~
  ~  - #%L                                                                                        ~
  ~  - CHVote-Receiver                                                                            ~
  ~  - %%                                                                                         ~
  ~  - Copyright (C) 2016 - 2018 République et Canton de Genève                                   ~
  ~  - %%                                                                                         ~
  ~  - This program is free software: you can redistribute it and/or modify                       ~
  ~  - it under the terms of the GNU Affero General Public License as published by                ~
  ~  - the Free Software Foundation, either version 3 of the License, or                          ~
  ~  - (at your option) any later version.                                                        ~
  ~  -                                                                                            ~
  ~  - This program is distributed in the hope that it will be useful,                            ~
  ~  - but WITHOUT ANY WARRANTY; without even the implied warranty of                             ~
  ~  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                               ~
  ~  - GNU General Public License for more details.                                               ~
  ~  -                                                                                            ~
  ~  - You should have received a copy of the GNU Affero General Public License                   ~
  ~  - along with this program. If not, see &lt;http://www.gnu.org/licenses/&gt;.                       ~
  ~  - #L%                                                                                        ~
  ~  */                                                                                           ~
  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~--&gt;

&lt;router-outlet&gt;&lt;/router-outlet&gt;


</code></pre>
    </div>

    <div class="tab-pane fade " id="c-styleData">
                <p class="comment">
                    <code>./app.component.scss</code>
                </p>
                <pre class="line-numbers"><code class="language-scss">/*!*************************************************************************************************
 *                                                                                                *
 *  - #%L                                                                                         *
 *  - CHVote-Receiver                                                                             *
 *  - %%                                                                                          *
 *  - Copyright (C) 2016 - 2018 République et Canton de Genève                                    *
 *  - %%                                                                                          *
 *  - This program is free software: you can redistribute it and/or modify                        *
 *  - it under the terms of the GNU Affero General Public License as published by                 *
 *  - the Free Software Foundation, either version 3 of the License, or                           *
 *  - (at your option) any later version.                                                         *
 *  -                                                                                             *
 *  - This program is distributed in the hope that it will be useful,                             *
 *  - but WITHOUT ANY WARRANTY; without even the implied warranty of                              *
 *  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                                *
 *  - GNU General Public License for more details.                                                *
 *  -                                                                                             *
 *  - You should have received a copy of the GNU Affero General Public License                    *
 *  - along with this program. If not, see &lt;http://www.gnu.org/licenses/&gt;.                        *
 *  - #L%                                                                                         *
 *                                                                                                *
 **************************************************************************************************/

</code></pre>
    </div>

    <div class="tab-pane fade " id="c-tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><!--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~  ~ /*                                                                                            ~  ~  - #%L                                                                                        ~  ~  - CHVote-Receiver                                                                            ~  ~  - %%                                                                                         ~  ~  - Copyright (C) 2016 - 2018 République et Canton de Genève                                   ~  ~  - %%                                                                                         ~  ~  - This program is free software: you can redistribute it and/or modify                       ~  ~  - it under the terms of the GNU Affero General Public License as published by                ~  ~  - the Free Software Foundation, either version 3 of the License, or                          ~  ~  - (at your option) any later version.                                                        ~  ~  -                                                                                            ~  ~  - This program is distributed in the hope that it will be useful,                            ~  ~  - but WITHOUT ANY WARRANTY; without even the implied warranty of                             ~  ~  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                               ~  ~  - GNU General Public License for more details.                                               ~  ~  -                                                                                            ~  ~  - You should have received a copy of the GNU Affero General Public License                   ~  ~  - along with this program. If not, see <http://www.gnu.org/licenses/>.                       ~  ~  - #L%                                                                                        ~  ~  */                                                                                           ~  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~--><router-outlet></router-outlet></div>'
    var COMPONENTS = [{'name': 'ActionsOnBallotsComponent', 'selector': 'actions-on-ballots'},{'name': 'AppComponent', 'selector': 'app-root'},{'name': 'BallotsListComponent', 'selector': 'app-ballots-list'},{'name': 'BusinessErrorDialogComponent', 'selector': 'app-business-error-dialog'},{'name': 'ChvoteBallotHeaderComponent', 'selector': 'chvote-ballot-header'},{'name': 'ChvoteCheckboxComponent', 'selector': 'chvote-checkbox'},{'name': 'ChvoteCoatOfArmsComponent', 'selector': 'chvote-coat-of-arms'},{'name': 'ChvoteDialogComponent', 'selector': 'chvote-dialog'},{'name': 'ChvoteDocumentsComponent', 'selector': 'chvote-documents'},{'name': 'ChvoteExpansionPanelComponent', 'selector': 'chvote-expansion-panel'},{'name': 'ChvoteHelperComponent', 'selector': 'chvote-helper'},{'name': 'ChvoteSubjectCardComponent', 'selector': '[chvote-subject-card]'},{'name': 'ChvoteVariantSubjectCardComponent', 'selector': '[chvote-variant-subject-card]'},{'name': 'ChvoteVotationBallotComponent', 'selector': 'chvote-votation-ballot'},{'name': 'ControlComponent', 'selector': 'control, [control]'},{'name': 'DefaultErrorsComponent', 'selector': 'default-errors'},{'name': 'ErrorMessageComponent', 'selector': 'error-message-component'},{'name': 'FinalizationComponent', 'selector': 'finalization, [finalization]'},{'name': 'FooterDocumentsComponent', 'selector': 'footer-documents'},{'name': 'FooterZoneComponent', 'selector': 'footer-zone'},{'name': 'GroupedVotationCardComponent', 'selector': '[grouped-votation-card]'},{'name': 'HeaderZoneComponent', 'selector': 'header-zone'},{'name': 'IdentificationComponent', 'selector': ''},{'name': 'LegalInformationComponent', 'selector': ''},{'name': 'LocalizedLabelComponent', 'selector': '[localized-label]'},{'name': 'OperationComponent', 'selector': ''},{'name': 'SideZoneComponent', 'selector': 'side-zone'},{'name': 'SideZoneSectionComponent', 'selector': 'side-zone-section'},{'name': 'SingleBallotCardComponent', 'selector': '[single-ballot-card]'},{'name': 'SummaryComponent', 'selector': 'summary, [summary]'},{'name': 'TechnicalErrorDialogComponent', 'selector': 'app-technical-error-dialog'},{'name': 'VotationBallotComponent', 'selector': 'votation-ballot, [votation-ballot]'},{'name': 'VotationCardComponent', 'selector': '[votation-card]'},{'name': 'VoteWorkflowStepComponent', 'selector': 'li[vote-workflow-step]'},{'name': 'VoteWorkflowViewComponent', 'selector': 'vote-workflow-view'}];
    var DIRECTIVES = [];
    var ACTUAL_COMPONENT = {'name': 'AppComponent'};
</script>
<script src="../js/tree.js"></script>














                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'AppComponent.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
